### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/fddividendamericanengine.hpp File Reference

american engine with discrete deterministic dividends More...

`#include <ql/instruments/dividendvanillaoption.hpp>`
`#include <ql/pricingengines/vanilla/fddividendengine.hpp>`
`#include <ql/pricingengines/vanilla/fdconditions.hpp>`
Include dependency graph for fddividendamericanengine.hpp:

## Classes

class | FDDividendAmericanEngine< Scheme >
| Finite-differences pricing engine for dividend American options. More...

## Detailed Description

american engine with discrete deterministic dividends